<h1>Agenda de compromissos</h1>

<?php

	$sql = $db->prepare(
	'SELECT c.`id`, c.`titulo`
	FROM obrigacoesCategoria c
	INNER JOIN obrigacoes o
		ON c.`id` = o.`fkCategoriaObrigacao`
	WHERE c.`status` = 1
		AND o.`status` = 1
	GROUP BY c.`id`
	ORDER BY c.`titulo`');

	$sql->execute();
	$categorias = $sql->fetchAll(PDO::FETCH_ASSOC);

	foreach ($categorias as $categoria) {
		echo '<h2>'.$categoria['titulo'].'</h2>';

		$sql = $db->prepare('SELECT titulo,data,descricao FROM obrigacoes WHERE fkCategoriaObrigacao = :idCategoria AND status = 1');
		$sql->bindParam(':idCategoria', $categoria['id'], PDO::PARAM_INT);
		$sql->execute();

		$compromissos = $sql->fetchAll(PDO::FETCH_ASSOC);

		foreach ($compromissos as $compromisso) {
	?>

		<div class="itemFacilitador">
			<header>
				<h3><?php echo dataPTBR($compromisso['data']) ?> - <?php echo $compromisso['titulo']; ?></h3>
			</header>
			<p><?php echo $compromisso['descricao']; ?></p>
		</div>

	<?php
		}
	}